curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
"filters": [
{
"filter": "is_active",
"is_active": true
}
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position"
payload = {
"limit": 10,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
"filters": [
{
"filter": "is_active",
"is_active": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 10,
starting_after: '4cbdbabe-5644-4423-8157-520f8a2f429a',
filters: [{filter: 'is_active', is_active: true}]
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 10,
'starting_after' => '4cbdbabe-5644-4423-8157-520f8a2f429a',
'filters' => [
[
'filter' => 'is_active',
'is_active' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position"
payload := strings.NewReader("{\n \"limit\": 10,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\",\n \"filters\": [\n {\n \"filter\": \"is_active\",\n \"is_active\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 10,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\",\n \"filters\": [\n {\n \"filter\": \"is_active\",\n \"is_active\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 10,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\",\n \"filters\": [\n {\n \"filter\": \"is_active\",\n \"is_active\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"has_next": true,
"next_starting_after": "61a6e076-d780-11ec-9d64-0242ac120002",
"records": [
{
"job_id": "b003505-eb84-42dc-a79f-5e7b1fe897b7",
"employee_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"score": 0.87657
}
]
}Get the match scores between Employees and their assigned position in bulk.
Employees without an assigned position will be included in the result, with job_id=null and score=0.0.
curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"limit": 10,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
"filters": [
{
"filter": "is_active",
"is_active": true
}
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position"
payload = {
"limit": 10,
"starting_after": "4cbdbabe-5644-4423-8157-520f8a2f429a",
"filters": [
{
"filter": "is_active",
"is_active": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
limit: 10,
starting_after: '4cbdbabe-5644-4423-8157-520f8a2f429a',
filters: [{filter: 'is_active', is_active: true}]
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 10,
'starting_after' => '4cbdbabe-5644-4423-8157-520f8a2f429a',
'filters' => [
[
'filter' => 'is_active',
'is_active' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position"
payload := strings.NewReader("{\n \"limit\": 10,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\",\n \"filters\": [\n {\n \"filter\": \"is_active\",\n \"is_active\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"limit\": 10,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\",\n \"filters\": [\n {\n \"filter\": \"is_active\",\n \"is_active\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenant_name}.{region}.techwolf.ai/export/employees/match_assigned_position")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"limit\": 10,\n \"starting_after\": \"4cbdbabe-5644-4423-8157-520f8a2f429a\",\n \"filters\": [\n {\n \"filter\": \"is_active\",\n \"is_active\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"has_next": true,
"next_starting_after": "61a6e076-d780-11ec-9d64-0242ac120002",
"records": [
{
"job_id": "b003505-eb84-42dc-a79f-5e7b1fe897b7",
"employee_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"score": 0.87657
}
]
}Authorizations
Query Parameters
The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.
Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.
en, en_uk, en_us, de, fr, nl, es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no Body
Response
OK
Note: When proficiency matching or criticality matching is enabled on the tenant, additional fields will be included in the response. See the PropertiesExplained schema for details on which fields are included.
- Simple
- Explained
- PropertiesExplained
Was this page helpful?